import unittest, time
import smallworld

class TestSeries(unittest.TestCase):

    def testGiven(self):
        inFile = open('input1.txt')
        outFile = open('output1.txt')
        for foo in smallworld.calculate(inFile):
            self.assertEqual(foo + '\n', outFile.readline())
        inFile.close()
        outFile.close()

    def testSmall(self):
        inFile = open('input5.txt')
        outFile = open('output5.txt')
        for foo in smallworld.calculate(inFile):
            self.assertEqual(foo + '\n', outFile.readline())
        inFile.close()
        outFile.close()

    def testReversed(self):
        inFile = open('input6.txt')
        outFile = open('output6.txt')
        for foo in smallworld.calculate(inFile):
            self.assertEqual(foo + '\n', outFile.readline())
        inFile.close()
        outFile.close()

    def test100(self):
        inFile = open('input2.txt')
        outFile = open('output2.txt')
        for foo in smallworld.calculate(inFile):
            self.assertEqual(foo + '\n', outFile.readline())
        inFile.close()
        outFile.close()

    def test1000(self):
        inFile = open('input3.txt')
        outFile = open('output3.txt')
        for foo in smallworld.calculate(inFile):
            self.assertEqual(foo + '\n', outFile.readline())
        inFile.close()
        outFile.close()

if __name__ == '__main__':
    unittest.main()
